gnutls_x509_crq_verify(3)

NAME
gnutls_x509_crq_verify - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_verify(gnutls_x509_crq_t crq, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    is the crq to be verified

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

DESCRIPTION
This function will verify self signature in the certificate request and return its status.

RETURNS
In case of a verification failure GNUTLS_E_PK_SIG_VERIFY_FAILED is returned, and zero or positive code on success. Since 2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/